/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package bicat.GO;

/**
 *
 * @author Hamed
 */
public class FunctionalClass {

   private String name  ="";
   private String description="";
   private int pop_count;
   private double pop_Freq;
   private String pop_Frac;
   private double study_Freq;
   private String study_Frac;
   private double raw__Pvalue;
   private double corrected_Pvalue;
   private double thr_Pvalue;
   private int contributed_Gene_No_In_Pop;
   private int contributed_Gene_No_In_Cluster;
   private String contributed_Genes_Names_Cluster="";
   private int gene_count_In_cluster;
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getPop_count() {
        return pop_count;
    }

    public void setPop_count(int pop_count) {
        this.pop_count = pop_count;
    }

    public double getPop_Freq() {
        return pop_Freq;
    }

    public void setPop_Freq(double pop_Freq) {
        this.pop_Freq = pop_Freq;
    }

    public String getPop_Frac() {
        return pop_Frac;
    }

    public void setPop_Frac(String pop_Frac) {
        this.pop_Frac = pop_Frac;
    }

    public double getStudy_Freq() {
        return study_Freq;
    }

    public void setStudy_Freq(double study_Freq) {
        this.study_Freq = study_Freq;
    }

    public String getStudy_Frac() {
        return study_Frac;
    }

    public void setStudy_Frac(String study_Frac) {
        this.study_Frac = study_Frac;
    }

    public double getRaw__Pvalue() {
        return raw__Pvalue;
    }

    public void setRaw__Pvalue(double raw__Pvalue) {
        this.raw__Pvalue = raw__Pvalue;
    }

    public double getCorrected_Pvalue() {
        return corrected_Pvalue;
    }

    public void setCorrected_Pvalue(double corrected_Pvalue) {
        this.corrected_Pvalue = corrected_Pvalue;
    }

    public double getThr_Pvalue() {
        return thr_Pvalue;
    }

    public void setThr_Pvalue(double thr_Pvalue) {
        this.thr_Pvalue = thr_Pvalue;
    }

   

    public int getContributed_Gene_No_In_Pop() {
        return contributed_Gene_No_In_Pop;
    }

    public void setContributed_Gene_No_In_Pop(int contributed_Gene_No_In_Pop) {
        this.contributed_Gene_No_In_Pop = contributed_Gene_No_In_Pop;
    }

    public int getContributed_Gene_No_In_Cluster() {
        return contributed_Gene_No_In_Cluster;
    }

    public void setContributed_Gene_No_In_Cluster(int contributed_Gene_No_In_Cluster) {
        this.contributed_Gene_No_In_Cluster = contributed_Gene_No_In_Cluster;
    }

    public String getContributed_Genes_Names_Cluster() {
        return contributed_Genes_Names_Cluster;
    }

    public void setContributed_Genes_Names_Cluster(String contributed_Genes_Names_Cluster) {
        this.contributed_Genes_Names_Cluster = contributed_Genes_Names_Cluster;
    }

    public int getGene_count_In_cluster() {
        return gene_count_In_cluster;
    }

    public void setGene_count_In_cluster(int gene_count_In_cluster) {
        this.gene_count_In_cluster = gene_count_In_cluster;
    }
   
   
   
    
    
}
